​

Create custom directory

POST
https://example.kaiten.ru/api/latest/company/custom-directories

Creates a custom directory (catalog) with optional fields. Use `display_field_index` to choose which field is used as the display field; otherwise the first field is used.

All paths in this section are relative to /api/latest and require API authentication. Directory, field and record IDs are UUIDs. Creating, updating or deleting directories and fields requires the company's custom-properties management permission. To use a directory in cards, create a custom property through POST /company/custom-properties with type=directory and directory_id set to the returned directory ID.

Headers
NameValue
Content-Typeapplication/json
Attributes
schema
NameTypeConstraintsDescription
name
required
string
minLength: 1
maxLength: 256

Custom directory name

description
null

No description

string

Custom directory description

multi_select
boolean
default:false

Allow selecting multiple directory records in a card's directory custom property

allow_editing
boolean
default:false

When enabled, directory records can be edited from cards without custom properties permission

display_field_index
integer
minimum: 0

Index of the field to use as a display field. If omitted, the first field is used.

fields

array of objects

Schema

Directory fields definition

Responses

200
DescriptionResponse typeExample
SuccessObject
Open
Response Attributes
NameTypeDescription
id

string

Directory ID (UUID)
name

string

Directory name
description

null | string

Directory description
condition

enum

Directory condition: active | inactive | removed
settings

object

Schema
Directory settings
author_uid

string

Author user UID (UUID)
company_uid

string

Company UID (UUID)
created

string

Create date
updated

string

Last update timestamp
fields

array of objects

Schema
Directory fields
400
DescriptionResponse typeExample
Validation errorObject
Open
Response Attributes
NameTypeDescription
message

string

Error message
401
DescriptionResponse typeExample
Invalid tokenString
Open
403
DescriptionResponse typeExample
ForbiddenResponse body does not exist
Examples

Create custom directory

{
  "name": "Contacts",
  "description": "Company contacts directory",
  "multi_select": false,
  "allow_editing": false,
  "fields": [
    {
      "name": "Name",
      "type": "string",
      "required": true
    },
    {
      "name": "Email",
      "type": "email"
    },
    {
      "name": "Phone",
      "type": "phone"
    }
  ]
}
logo
Kaiten
If you have any questions or need help with integration feel free to write us at support@kaiten.ru
  1  curl --request POST \
  2       --url 'https://example.kaiten.ru/api/latest/company/custom-directories' \
  3       --header 'Accept: application/json' \
  4       --header 'Content-Type: application/json'
  5      

Response

ClickTry It!to start a request and see the response here!